Method: projects.operations.list

  • Lists operations matching the specified filter, returning UNIMPLEMENTED if not supported.

  • The request uses an HTTP GET method with a URL utilizing gRPC Transcoding syntax, requiring parent resource name as a path parameter.

  • Standard list filter, page size, and page token are available as query parameters, and the request body must be empty.

  • A successful response contains an instance of ListOperationsResponse.

  • Authorization requires one of two specified OAuth scopes.

Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.

HTTP request

GET https://earthengine.googleapis.com/v1beta/{name=projects/*}/operations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

The name of the operation's parent resource.

Query parameters

Parameters
filter

string

The standard list filter.

pageSize

integer

The standard list page size.

pageToken

string

The standard list page token.

returnPartialSuccess

boolean

When set to true, operations that are reachable are returned as normal, and those that are unreachable are returned in the ListOperationsResponse.unreachable field.

This can only be true when reading across collections. For example, when parent is set to "projects/example/locations/-".

This field is not supported by default and will result in an UNIMPLEMENTED error if set unless explicitly documented otherwise in service or product specific documentation.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListOperationsResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/earthengine
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.